// (C) Copyright 2007 by Autodesk, Inc. 
//
// Permission to use, copy, modify, and distribute this software in
// object code form for any purpose and without fee is hereby granted, 
// provided that the above copyright notice appears in all copies and 
// that both that copyright notice and the limited warranty and
// restricted rights notice below appear in all supporting 
// documentation.
//
// AUTODESK PROVIDES THIS PROGRAM "AS IS" AND WITH ALL FAULTS. 
// AUTODESK SPECIFICALLY DISCLAIMS ANY IMPLIED WARRANTY OF
// MERCHANTABILITY OR FITNESS FOR A PARTICULAR USE.  AUTODESK, INC. 
// DOES NOT WARRANT THAT THE OPERATION OF THE PROGRAM WILL BE
// UNINTERRUPTED OR ERROR FREE.
//
// Use, duplication, or disclosure by the U.S. Government is subject to 
// restrictions set forth in FAR 52.227-19 (Commercial Computer
// Software - Restricted Rights) and DFAR 252.227-7013(c)(1)(ii)
// (Rights in Technical Data and Computer Software), as applicable.
//

//-----------------------------------------------------------------------------
//----- acrxEntryPoint.h
//-----------------------------------------------------------------------------
#include "StdAfx.h"
class AcMgTitleBorder;
//Declare globle functions
void setTitleAttribute(AcMgTitleBorder* pTitBrd, const ACHAR* key, const ACHAR* val);
void createTitleBorder();
void modifyTitleBorder();
void deleteTitleBorder();
void editTitleStd();


//-----------------------------------------------------------------------------
#define szRDS _RXST("")

//-----------------------------------------------------------------------------
//----- ObjectARX EntryPoint
class CTestTitleBorderStdApp : public AcRxArxApp {

public:
	CTestTitleBorderStdApp () : AcRxArxApp () {}

	virtual AcRx::AppRetCode On_kInitAppMsg (void *pkt) {
		// TODO: Load dependencies here

		// You *must* call On_kInitAppMsg here
		AcRx::AppRetCode retCode =AcRxArxApp::On_kInitAppMsg (pkt) ;
		
		// TODO: Add your initialization code here

		return (retCode) ;
	}

	virtual AcRx::AppRetCode On_kUnloadAppMsg (void *pkt) {
		// TODO: Add your code here

		// You *must* call On_kUnloadAppMsg here
		AcRx::AppRetCode retCode =AcRxArxApp::On_kUnloadAppMsg (pkt) ;

		// TODO: Unload dependencies here

		return (retCode) ;
	}

	virtual void RegisterServerComponents () {
	}

  // - TESTAPP._CreateTitle command (do not rename)
  static void TESTAPP_CreateTitle(void)
  {
    createTitleBorder();
  }

  // ----- TESTAPP._ModifyTitle command
  static void TESTAPP_ModifyTitle(void)
  {
    modifyTitleBorder();
  }

  // - TESTAPP._DeleteTitle command (do not rename)
  static void TESTAPP_DeleteTitle(void)
  {
    deleteTitleBorder();
  }

  // - TESTAPP._TitleStd command (do not rename)
  static void TESTAPP_TitleStd(void)
  {
    editTitleStd();
  }
} ;

//-----------------------------------------------------------------------------
IMPLEMENT_ARX_ENTRYPOINT(CTestTitleBorderStdApp)


ACED_ARXCOMMAND_ENTRY_AUTO(CTestTitleBorderStdApp, TESTAPP, _CreateTitle, CreateTitle, ACRX_CMD_TRANSPARENT, NULL)
ACED_ARXCOMMAND_ENTRY_AUTO(CTestTitleBorderStdApp, TESTAPP, _ModifyTitle, ModifyTitle, ACRX_CMD_TRANSPARENT, NULL)
ACED_ARXCOMMAND_ENTRY_AUTO(CTestTitleBorderStdApp, TESTAPP, _DeleteTitle, DeleteTitle, ACRX_CMD_TRANSPARENT, NULL)
ACED_ARXCOMMAND_ENTRY_AUTO(CTestTitleBorderStdApp, TESTAPP, _TitleStd, TitleStd, ACRX_CMD_TRANSPARENT, NULL)
